/// <reference types="react" />
import { RenderProps } from "./render-props";
import { DataProps } from "./data-props";
export declare type ForOfProps<T> = RenderProps<T> & DataProps<{
    [Symbol.iterator]: () => Iterator<T>;
}>;
export declare const ForOf: <T extends {}>(props: ForOfProps<T>) => JSX.Element;
