/// <reference types="react" />
import { RenderProps } from "./render-props";
import { StartProps } from "./start-props";
import { NextProps } from "./next-props";
import { TestProps } from "./test-props";
export declare type ForProps<T> = RenderProps<T> & StartProps<T> & TestProps<T> & NextProps<T>;
export declare const For: <T extends {}>(props: ForProps<T>) => JSX.Element;
