interface IStart<T> {
    start: T;
    begin?: undefined;
}
interface IBegin<T> {
    start?: undefined;
    begin: T;
}
export declare type StartProps<T> = IStart<T> | IBegin<T>;
export interface IParsedStartProps<T> {
    start: T;
}
export declare function parseStartProps<T>(props: StartProps<T>): IParsedStartProps<T>;
export {};
