interface IData<T> {
    data: T;
    from?: undefined;
}
interface IFrom<T> {
    from: T;
    data?: undefined;
}
export declare type DataProps<T> = IData<T> | IFrom<T>;
export interface IParsedDataProps<T> {
    data: T;
}
export declare function parseDataProps<T>(props: DataProps<T>): IParsedDataProps<T>;
export {};
