import * as React from "react";
import { parseRenderProps } from "./render-props";
import { parseDataProps } from "./data-props";
function parseForInProps(props) {
    return Object.assign({}, parseDataProps(props), parseRenderProps(props));
}
export const ForIn = (props) => {
    const { data, render } = parseForInProps(props);
    const results = [];
    for (const item in data) {
        if (data.hasOwnProperty(item)) {
            results.push(render(item));
        }
    }
    return React.createElement(React.Fragment, null, results);
};
//# sourceMappingURL=for-in.js.map