import * as React from "react";
import { parseRenderProps } from "./render-props";
import { parseDataProps } from "./data-props";
function parseForOfProps(props) {
    return Object.assign({}, parseDataProps(props), parseRenderProps(props));
}
export const ForOf = (props) => {
    const { data, render } = parseForOfProps(props);
    const results = [];
    for (const item of data) {
        results.push(render(item));
    }
    return React.createElement(React.Fragment, null, results);
};
//# sourceMappingURL=for-of.js.map