export declare type RenderFunction<T = void> = (x?: T) => any;
interface IRenderChildren<T> {
    children: RenderFunction<T>;
}
interface IRenderFunction<T> {
    render: RenderFunction<T>;
}
export declare type RenderProps<T = void> = IRenderChildren<T> | IRenderFunction<T>;
export interface IParsedRenderProps<T> {
    render: RenderFunction<T>;
}
export declare function parseRenderProps<T>(props: RenderProps<T>): IParsedRenderProps<T>;
export {};
