function isTest(x) {
    return x.test !== undefined;
}
function isComparator(x) {
    return x.comparator !== undefined;
}
function isCompare(x) {
    return x.compare !== undefined;
}
export function parseTestProps(props) {
    const parsedProps = {
        test: null,
    };
    if (isTest(props)) {
        parsedProps.test = props.test;
    }
    else if (isComparator(props)) {
        parsedProps.test = props.comparator;
    }
    else {
        parsedProps.test = props.compare;
    }
    return parsedProps;
}
//# sourceMappingURL=test-props.js.map