import { RenderProps, RenderFunction } from "./render-props";
import { TestFunction, TestProps } from "./test-props";
export declare type WhileProps = RenderProps & TestProps<undefined>;
export interface IParsedWhileProps {
    test: TestFunction<undefined>;
    render: RenderFunction;
}
export declare function parseWhileProps(props: WhileProps): IParsedWhileProps;
