import * as React from "react";
import { parseWhileProps } from "./while-props";
export const While = (props) => {
    const { test, render } = parseWhileProps(props);
    const results = [];
    while (test()) {
        results.push(render());
    }
    return React.createElement(React.Fragment, null, results);
};
//# sourceMappingURL=while.js.map